aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatt Smith <mcs@darkregion.net>2011-04-05 06:17:10 -0500
committerMatt Smith <mcs@darkregion.net>2011-04-05 06:17:47 -0500
commitdcd1f5b67f797d77535a5c9ab53bad11819da64a (patch)
treeb998ea64d438072e4eb2bc26f18aed8f0b7d23ba
parent3b601fc3e51e08b6165d37feaa890ab85242f175 (diff)
downloadaports-dcd1f5b67f797d77535a5c9ab53bad11819da64a.tar.gz
aports-dcd1f5b67f797d77535a5c9ab53bad11819da64a.tar.bz2
aports-dcd1f5b67f797d77535a5c9ab53bad11819da64a.tar.xz
main/php: improved subpackage dependencies
- php-sqlite now depends on php-pdo_sqlite in order to fix a dependency issue - php-pdo_* now depends on php-pdo - added --disable-all to configure line and added php-dom as a shared module, as a result
-rw-r--r--main/php/APKBUILD131
1 files changed, 72 insertions, 59 deletions
diff --git a/main/php/APKBUILD b/main/php/APKBUILD
index a4648de542..cab1f2ee47 100644
--- a/main/php/APKBUILD
+++ b/main/php/APKBUILD
@@ -3,7 +3,7 @@
pkgname=php
pkgver=5.3.6
_suhosinver=5.3.6-0.9.10
-pkgrel=0
+pkgrel=1
pkgdesc="The PHP language runtime engine"
url="http://www.php.net/"
arch="all"
@@ -18,12 +18,14 @@ makedepends="pcre-dev libxml2-dev libiconv-dev openssl-dev zlib-dev bzip2-dev
libgcrypt-dev apache2-dev apr-dev apr-util-dev libevent-dev
readline-dev"
subpackages="$pkgname-dev $pkgname-doc $pkgname-common $pkgname-cgi
- $pkgname-cli $pkgname-fpm $pkgname-apache2 $pkgname-embed $pkgname-pear
+ $pkgname-cli $pkgname-fpm $pkgname-apache2 $pkgname-embed
+ $pkgname-pear
$pkgname-bcmath
$pkgname-bz2
$pkgname-calendar
$pkgname-curl
$pkgname-dba
+ $pkgname-dom
$pkgname-exif
$pkgname-ftp
$pkgname-gd
@@ -118,17 +120,20 @@ build() {
--disable-static \
--enable-shared \
--mandir=/usr/share/man \
- --with-pic
+ --with-pic \
+ --disable-all
"
_phpextensions="--enable-bcmath=shared \
--enable-calendar=shared \
--enable-dba=shared \
+ --enable-dom=shared \
--enable-exif=shared \
--enable-ftp=shared \
--enable-gd-native-ttf \
--enable-intl=shared \
--enable-json=shared \
+ --enable-libxml=shared \
--enable-mbregex \
--enable-mbstring \
--enable-pdo=shared \
@@ -158,23 +163,23 @@ build() {
--with-jpeg-dir=shared,/usr \
--with-ldap=shared \
--with-mcrypt=shared \
+ --with-openssl=shared \
+ --with-pcre-regex=/usr \
--with-mysql-sock=/var/run/mysqld/mysqld.sock \
--with-mysql=shared,mysqlnd \
--with-mysqli=shared,mysqlnd \
- --with-openssl=shared \
- --with-pcre-regex=/usr \
--with-pdo-mysql=shared,mysqlnd \
+ --with-unixODBC=shared,/usr \
--with-pdo-odbc=shared,unixODBC,/usr \
+ --with-pgsql=shared \
--with-pdo-pgsql=shared \
+ --with-sqlite3=shared,/usr \
+ --with-sqlite=shared \
--with-pdo-sqlite=shared,/usr \
- --with-pgsql=shared \
--with-png-dir=shared,/usr \
--with-pspell=shared \
--with-regex=php \
--with-snmp=shared \
- --with-sqlite3=shared,/usr \
- --with-sqlite=shared \
- --with-unixODBC=shared,/usr \
--with-xmlrpc=shared \
--with-xsl=shared \
--with-zlib=shared \
@@ -333,63 +338,71 @@ pear() {
"$subpkgdir"/usr/share/ || return 1
}
-_mv_mod() {
- pkgdesc="$1 php extension"
+_mv_ext() {
+ local ext=$1
+ pkgdesc="${ext} extension for PHP"
+
+ # extension dependencies
+ if [ -n "${2-}" ]; then
+ depends="${2-}"
+ fi
+
mkdir -p "$subpkgdir"/$_extdir
- mv "$pkgdir"/$_extdir/${1}.so "$subpkgdir"/$_extdir/ || return 1
- install -d "$subpkgdir"/etc/php/conf.d
- echo "extension=${1}.so" > "$subpkgdir"/etc/php/conf.d/${1}.ini
+ mv "$pkgdir"/$_extdir/${ext}.so "$subpkgdir"/$_extdir/ || return 1
+ mkdir -p "$subpkgdir"/etc/php/conf.d
+ echo "extension=${ext}.so" > "$subpkgdir"/etc/php/conf.d/${ext}.ini
}
-bcmath() { _mv_mod bcmath; }
-bz2() { _mv_mod bz2; }
-calendar() { _mv_mod calendar; }
-curl() { _mv_mod curl; }
-dba() { _mv_mod dba; }
-#enchant() { _mv_mod enchant; }
-exif() { _mv_mod exif; }
-ftp() { _mv_mod ftp; }
-gd() { _mv_mod gd; }
-gettext() { _mv_mod gettext; }
-gmp() { _mv_mod gmp; }
-iconv() { _mv_mod iconv; }
-imap() { _mv_mod imap; }
-intl() { _mv_mod intl; }
-json() { _mv_mod json; }
-ldap() { _mv_mod ldap; }
-mcrypt() { _mv_mod mcrypt; }
-mysql() { _mv_mod mysql; }
-mysqli() { _mv_mod mysqli; }
-odbc() { _mv_mod odbc; }
-openssl() { _mv_mod openssl; }
-pdo() { _mv_mod pdo; }
-pdo_mysql() { _mv_mod pdo_mysql; }
-pdo_odbc() { _mv_mod pdo_odbc; }
-pdo_pgsql() { _mv_mod pdo_pgsql; }
-pdo_sqlite() { _mv_mod pdo_sqlite; }
+bcmath() { _mv_ext bcmath; }
+bz2() { _mv_ext bz2; }
+calendar() { _mv_ext calendar; }
+curl() { _mv_ext curl; }
+dba() { _mv_ext dba; }
+dom() { _mv_ext dom; }
+#enchant() { _mv_ext enchant; }
+exif() { _mv_ext exif; }
+ftp() { _mv_ext ftp; }
+gd() { _mv_ext gd; }
+gettext() { _mv_ext gettext; }
+gmp() { _mv_ext gmp; }
+iconv() { _mv_ext iconv; }
+imap() { _mv_ext imap; }
+intl() { _mv_ext intl; }
+json() { _mv_ext json; }
+ldap() { _mv_ext ldap; }
+mcrypt() { _mv_ext mcrypt; }
+mysql() { _mv_ext mysql; }
+mysqli() { _mv_ext mysqli; }
+odbc() { _mv_ext odbc; }
+openssl() { _mv_ext openssl; }
+pdo() { _mv_ext pdo; }
+pdo_mysql() { _mv_ext pdo_mysql php-pdo; }
+pdo_odbc() { _mv_ext pdo_odbc php-pdo; }
+pdo_pgsql() { _mv_ext pdo_pgsql php-pdo; }
+pdo_sqlite() { _mv_ext pdo_sqlite php-pdo; }
phar() {
- _mv_mod phar;
+ _mv_ext phar
mkdir -p "$subpkgdir"/usr/bin
mv "$pkgdir"/usr/bin/phar* "$subpkgdir"/usr/bin/
}
-posix() { _mv_mod posix; }
-pgsql() { _mv_mod pgsql; }
-pspell() { _mv_mod pspell; }
-#session() { _mv_mod session; }
-shmop() { _mv_mod shmop; }
-snmp() { _mv_mod snmp; }
-soap() { _mv_mod soap; }
-sockets() { _mv_mod sockets; }
-sqlite() { _mv_mod sqlite; }
-sqlite3() { _mv_mod sqlite3; }
-sysvmsg() { _mv_mod sysvmsg; }
-sysvsem() { _mv_mod sysvsem; }
-sysvshm() { _mv_mod sysvshm; }
-xml() { _mv_mod xml; }
-xmlrpc() { _mv_mod xmlrpc; }
-xsl() { _mv_mod xsl; }
-zip() { _mv_mod zip; }
-zlib() { _mv_mod zlib; }
+posix() { _mv_ext posix; }
+pgsql() { _mv_ext pgsql; }
+pspell() { _mv_ext pspell; }
+#session() { _mv_ext session; }
+shmop() { _mv_ext shmop; }
+snmp() { _mv_ext snmp; }
+soap() { _mv_ext soap; }
+sockets() { _mv_ext sockets; }
+sqlite() { _mv_ext sqlite php-pdo_sqlite; }
+sqlite3() { _mv_ext sqlite3; }
+sysvmsg() { _mv_ext sysvmsg; }
+sysvsem() { _mv_ext sysvsem; }
+sysvshm() { _mv_ext sysvshm; }
+xml() { _mv_ext xml; }
+xmlrpc() { _mv_ext xmlrpc; }
+xsl() { _mv_ext xsl; }
+zip() { _mv_ext zip; }
+zlib() { _mv_ext zlib; }
md5sums="2286f5a82a6e8397955a0025c1c2ad98 php-5.3.6.tar.bz2
5111e3be06d391f8772587c675240fab php-install-pear-xml.patch